package com.dao;

import com.entity.Visitor;
import com.utils.Page;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;


@Repository
public interface IVisitorDao {
 
    List<Visitor> listVisitor(Page page);

    int getVisitorTotal();

  
    void addVisitor(Visitor visitor);

 Visitor> searchByName(Map<String, Object> map);
}
